Payment Initiation Service (PIS) offers the following services:
- Create and authorize payments
- Status information of payments and authorizations
- Create and authorize baskets to efficiently sign multiple payments in one authorization
- Cancel previously signed payments
- Retrieve and create currency exchange (FX) quotes for cross-border transfers
Create Payment
Initiates a payment at the ASPSP.
Variants of Payment Initiation Requests
List of supported payment-product values:
- domestic
- swedish-giro
- sepa-credit-transfers
- cross-border
Furthermore the request body depends on the payment-service:
- payments: A single payment initiation request.
Single and mulitilevel SCA Processes
The Payment Initiations are independent from their SCA requirements, which are created separately. Some ASPSP's, especially in corporate contexts, require more than one authorisation from different PSUs.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
FX-Quote-IDID of the FX Quote to be used for the payment. Used for cross-border payments only.
Create Payment › Request Body
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: debtorAccount, instructedAmount, creditorAccount +1 more | |
| type = object · requires: debtorAccount, instructedAmount, creditorGiro +1 more | |
| type = object · requires: debtorAccount, instructedAmount, creditorAccount +3 more | |
| type = object · requires: debtorAccount, instructedAmount, creditorAccount +4 more |
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or,
- Bankgiro/Plusgiro for corporate Swedish accounts, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
creditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
creditorAgentNameCreditor Agent Name
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
remittanceInformationUnstructuredUnstructured remittance information
debtorAccountMessageMessage for the debtor
endToEndIdentificationCreate Payment › Responses
Created
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
paymentIdID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
- 'startAuthorisationWithPsuIdentification': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
- 'startAuthorisationWithPsuAuthentication':
The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while
uploading the PSU authentication data.
- 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
- 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element "scaMethods"
- 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation endpoint, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
- 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
- 'status': The link to retrieve the transaction status of the payment initiation.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
psuMessageText to be displayed to the PSU
Body of the JSON response for a successful VoP request.
Get Payment
Returns the content of a payment object.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Payment › Responses
OK
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
endToEndIdentificationcreditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
remittanceInformationUnstructuredUnstructured remittance information
Structured remittance information
debtorAccountMessageMessage for the debtor
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
Cancel Payment
Initiates the cancellation of a payment. Depending on the payment-service, payment-product and the ASPSP's implementation, this request may be sufficient to cancel the payment. If the ASPSP requires authorisation for the cancellation, the response will include a hyperlink for that process. The payment identified by paymentId will be cancelled, provided the conditions related to the service, product, and timing (e.g. before end-of-day for scheduled payments) are met.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Cancel Payment › Responses
Received
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'startAuthorisation': In case, where just the authorisation process of the cancellation needs to be started, but no additional data needs to be updated for time being (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
- 'startAuthorisationWithPsuIdentification': In case where a PSU Identification needs to be updated when starting the cancellation authorisation: The link to the cancellation-authorisations end-point, where the cancellation sub-resource has to be generated while uploading the PSU identification data.
- 'startAuthorisationWithPsuAuthentication': In case of a yet to be created authorisation sub-resource: The link to the cancellation authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
- 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
- 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the cancellation-authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
Get Payment Status
Check the transaction status of a payment initiation.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Payment Status › Responses
OK
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
Get Payment Authorisations
Retrieves a list of all created authorisation sub-resource IDs. The response contains an array of hyperlinks pointing to each generated authorisation sub-resource.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Payment Authorisations › Responses
OK
authorisationIdsAn array of all authorisationIds
Create Payment Authorisation
Initiates the authorisation process for a payment by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Create Payment Authorisation › Responses
Created
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
authorisationIdResource identification of the related SCA
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
- 'startAuthorisationWithPsuAuthentication':
The link to the authorisation or cancellation authorisation sub-resource,
where PSU authentication data needs to be uploaded.
- 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
- 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
- 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
psuMessageText to be displayed to the PSU
Get Payment Authorisation SCA Status
Returns the SCA status of a payment initiation's authorisation sub-resource.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
authorisationIdResource identification of the related SCA.
Resource identification of the related SCA
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Payment Authorisation SCA Status › Responses
OK
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
Start Payment Authorisation
Starts the authorisation resource for the payment, using the selection of an authentication method to initiate SCA.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
authorisationIdResource identification of the related SCA.
Resource identification of the related SCA
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Authoriser-IDID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Start Payment Authorisation › Request Body
authenticationMethodIdAn identification provided by the ASPSP for the later identification of the authentication method selection.
Start Payment Authorisation › Responses
OK
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
- "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessageText to be displayed to the PSU
Get Payment Cancellation Authorisations
Retrieve a list of all created cancellation authorisation sub-resources.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Payment Cancellation Authorisations › Responses
OK
cancellationIdsCreate Payment Cancellation Authorisation
Initiates the authorisation process for a payment cancellation by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Create Payment Cancellation Authorisation › Responses
Created
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
authorisationIdResource identification of the related SCA
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
- 'startAuthorisationWithPsuAuthentication':
The link to the authorisation or cancellation authorisation sub-resource,
where PSU authentication data needs to be uploaded.
- 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
- 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
- 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
psuMessageText to be displayed to the PSU
Get Payment Cancellation Authorisation SCA Status
Returns the SCA status of a payment cancellation's authorisation sub-resource.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
cancellationIdIdentification for cancellation resource.
Identification for cancellation resource
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Payment Cancellation Authorisation SCA Status › Responses
OK
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
Start Payment Cancellation Authorisation
Starts the authorisation resource for the payment cancellation, using the selection of an authentication method to initiate SCA.
path Parameters
payment-serviceThe specified payment service. See Statuses & Types documentation for full descriptions of values.
payment-productThe specified payment product. See Statuses & Types documentation for full descriptions of values.
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
cancellationIdIdentification for cancellation resource.
Identification for cancellation resource
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Authoriser-IDID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Start Payment Cancellation Authorisation › Request Body
authenticationMethodIdAn identification provided by the ASPSP for the later identification of the authentication method selection.
Start Payment Cancellation Authorisation › Responses
OK
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
- "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessageText to be displayed to the PSU
Create Signing Basket
Create a signing basket resource for authorising several transactions with one SCA method. The resource identifications of these transactions are contained in the payload of this access method.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
Create Signing Basket › Request Body
paymentIdsA list of paymentIds.
Create Signing Basket › Responses
Created
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
basketIdID of the generated signing basket resource.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
- 'startAuthorisationWithPsuIdentification': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
- 'startAuthorisationWithPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
- 'startAuthorisationWithEncryptedPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the encrypted PSU authentication data.
- 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
- 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
- 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
- 'status': The link to retrieve the transaction status of the payment initiation.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
psuMessageText to be displayed to the PSU
Get Signing Basket
Returns the content of an signing basket object.
path Parameters
basketIdThis identification of the corresponding signing basket object.
ID of the generated signing basket resource.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Signing Basket › Responses
OK
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
paymentIdsA list of paymentIds.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'startAuthorisation': In case, where an explicit start of the transaction authorisation is needed, but no more data needs to be updated (no authentication method to be selected, no PSU identification nor PSU authentication data to be uploaded).
- 'startAuthorisationWithPsuIdentification': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU identification data.
- 'startAuthorisationWithPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the PSU authentication data.
- 'startAuthorisationWithEncryptedPsuAuthentication': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while uploading the encrypted PSU authentication data.
- 'startAuthorisationWithAuthenticationMethodSelection': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while selecting the authentication method. This link is contained under exactly the same conditions as the data element 'scaMethods'
- 'startAuthorisationWithTransactionAuthorisation': The link to the authorisation end-point, where the authorisation sub-resource has to be generated while authorising the transaction e.g. by uploading an OTP received by SMS.
- 'self': The link to the payment initiation resource created by this request. This link can be used to retrieve the resource data.
- 'status': The link to retrieve the transaction status of the payment initiation.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource. This link is only contained, if an authorisation sub-resource has been already created.
Delete Signing Basket
Deletes a signing basket, provided that no authorisation has started yet. This does not delete the underlying payments within the signing basket. Note: A signing basket cannot be deleted once an authorisation is started (even partially). However, underlying payments can be cancelled on an individual basis through the XS2A interface.
path Parameters
basketIdThis identification of the corresponding signing basket object.
ID of the generated signing basket resource.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Delete Signing Basket › Responses
Accepted
categoryCategory of the TPP message category
codeMessage codes for HTTP Error codes 2XX.
pathtextAdditional explaining text to the TPP.
Get Signing Basket Status
Returns the status of a signing basket object.
path Parameters
basketIdThis identification of the corresponding signing basket object.
ID of the generated signing basket resource.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Signing Basket Status › Responses
OK
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
Create Signing Basket Authorisation
Initiates the authorisation process for a signing basket by creating an authorisation sub-resource, and providing a list of available SCA methods at the ASPSP.
path Parameters
basketIdThis identification of the corresponding signing basket object.
ID of the generated signing basket resource.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
TPP-Redirect-PreferredIf it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Create Signing Basket Authorisation › Responses
Created
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
authorisationIdResource identification of the related SCA
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- 'scaRedirect': In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- 'scaOAuth': In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- 'updatePsuIdentification': The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
- 'startAuthorisationWithPsuAuthentication':
The link to the authorisation or cancellation authorisation sub-resource,
where PSU authentication data needs to be uploaded.
- 'startAuthorisationWithEncryptedPsuAuthentication': Same as startAuthorisationWithPsuAuthentication where the authentication data need to be encrypted on application layer in uploading.
- 'selectAuthenticationMethod': The link to the authorisation or cancellation authorisation sub-resource, where the selected authentication method needs to be uploaded. This link is contained under exactly the same conditions as the data element 'scaMethods'.
- 'authoriseTransaction': The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS.
- 'scaStatus': The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
Optional list of available Strong Customer Authentication (SCA) methods, shown if SCA is required and the user can choose a method. When this is present, a startAuthorisationWithAuthenticationMethodSelection link will also be included for starting the authorisation with method selection.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
psuMessageText to be displayed to the PSU
Get Signing Basket Authorisation SCA Status
Returns the SCA status of a signing basket's authorisation sub-resource.
path Parameters
basketIdThis identification of the corresponding signing basket object.
ID of the generated signing basket resource.
authorisationIdResource identification of the related SCA.
Resource identification of the related SCA
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get Signing Basket Authorisation SCA Status › Responses
OK
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
Start Signing Basket Authorisation
Starts the authorisation resource for the signing basket, using the selection of an authentication method to initiate SCA.
path Parameters
basketIdThis identification of the corresponding signing basket object.
ID of the generated signing basket resource.
authorisationIdResource identification of the related SCA.
Resource identification of the related SCA
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Authoriser-IDID provided by certain ASPSPs to uniquely identify the authorising PSU, e.g. a customer ID. Only relevant if supported by the ASPSP.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Start Signing Basket Authorisation › Request Body
authenticationMethodIdAn identification provided by the ASPSP for the later identification of the authentication method selection.
Start Signing Basket Authorisation › Responses
OK
scaStatusContains information about the status of the SCA method applied. See Statuses & Types documentation for full descriptions of values.
Authentication Object
Contained in addition to the data element chosenScaMethod if challenge data is needed for SCA. In rare cases, this attribute is also used in the context of the startAuthorisationWithPsuAuthentication link.
A list of hyperlinks to be recognised by the TPP. The actual hyperlinks used in the response depend on the dynamical decisions of the ASPSP when processing the request.
Remark: All links can be relative or full links, to be decided by the ASPSP.
Remark: This method can be applied before or after PSU identification. This leads to many possible hyperlink responses. Type of links admitted in this response, (further links might be added for ASPSP defined extensions):
- "scaRedirect": In case of an SCA Redirect Approach, the ASPSP is transmitting the link to which to redirect the PSU browser.
- "scaOAuth": In case of a SCA OAuth2 Approach, the ASPSP is transmitting the URI where the configuration of the Authorisation Server can be retrieved. The configuration follows the OAuth 2.0 Authorisation Server Metadata specification.
- "updatePsuIdentification": The link to the authorisation or cancellation authorisation sub-resource, where PSU identification data needs to be uploaded.
- "updatePsuAuthentication": The link to the authorisation or cancellation authorisation sub-resource, where PSU authentication data needs to be uploaded. "authoriseTransaction": The link to the authorisation or cancellation authorisation sub-resource, where the authorisation data has to be uploaded, e.g. the TOP received by SMS. "scaStatus": The link to retrieve the scaStatus of the corresponding authorisation sub-resource.
psuMessageText to be displayed to the PSU
Create FX Quote
Requests an FX Quote for cross-border payments.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Create FX Quote › Request Body
sourceCurrencyThe source currency.
targetCurrencyThe target currency.
countryCodeThe target country.
amountThe requested amount in target currency.
requestedExecutionDateThe requested execution date, for future payments.
Create FX Quote › Responses
Created
fxQuoteIdResource identification of the generated FX quote.
fxRateRate of the generated FX quote.
feeFee of the generated FX quote.
totalAmountTotal amount of the generated FX quote.
validFromThe FX quote is valid from this date.
validToThe FX quote is valid to this date.
Get FX Quote
Get an existing FX Quote.
path Parameters
fxQuoteIdResource identification of the FX Quote.
Resource identification of the generated FX quote.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Get FX Quote › Responses
OK
fxQuoteIdResource identification of the generated FX quote.
fxRateRate of the generated FX quote.
feeFee of the generated FX quote.
validFromThe FX quote is valid from this date.
validToThe FX quote is valid to this date.

